hbox class Manages child widget horizontal geometry
Inherits
object
Description
The hbox class widget provides horizontal geometry management for its child widgets.
Functions

`$setSpacing(<spacing:uint>)`
Sets the default spacing of the widgets in pixels
`$setMargin(<margin:uint>)`
Sets the dimension of the layout margin : the distance from the border to the outermost child widget edges.
`$setStretchFactor(<widget:hobject>,<stretch:uint>)`
Sets the stretch factor of widget to stretch.
`$addStretch(<stretch:integer>)`
Adds a stretchable space with zero minimum size and stretch factor stretch to the end of this box layout.
`$setAlignment(<flag1:string>, <flag2:string>, ...)`
Sets the alignment for widget w to flags, given as parameters. Valid flags are: Right, Left, Top, Bottom, HCenter, VCenter, Center, Justify

Index, Object Classes